From: <a href="/blend/av.cgi?id=1">Kirk, Blender-Keeper</a><BR>
Date: 15 September 2010<P>

Ooh, quiet here!<BR>
<BR>
How are things?<BR>
<BR>
I had a great weekend w/ Amber up in Lake George, where my good buddy Dylan was hosting a 8 or so person get together at his family's lakeside cabins... <a href="http://http://kisrael.com/">http://http://kisrael.com/</a> has some of the better photos I took (it's funny how over a 3,3 1/2 day weekend I'll take 200 photos without even trying hard... that's woulda been, what, 8 or 9 "rolls of film" back in the day? An almost unthinkable excess for the non-pro photographer!)
<HR>
From: <a href="/blend/av.cgi?id=887">Just L</a><BR>
Date: 15 September 2010<P>

Laurel Ahlfeld, about <a href="/blend/wv.cgi?id=2010.09.14.23.18.23376">Fall</a>:<BR>
<BR>
Lovely. I totally relate!
<HR>